// 参数说明：0.version 1.commitid 2.branch 3.git地址
var fs = require("fs");
var args = process.argv.splice(2);
fs.readFile(args[0], function(err, data) {
    if (data) {
        let json = JSON.parse(data.toString());
        let result = {
            'pods': json,
            'commitid': args[1],
            'branch': args[3],
            'gitAddress': args[2],
            "JOB_URL":process.env.JOB_URL
        };
        let axios = require('axios');

        const url = `https://ios.bytedance.net/wlapi/onLineVersion`;
        axios
            .post(url, result)
            .then(res => {
                console.log("success");
            }).catch(error => {
                console.log(error);
            });

    }
});